# pydicom.pixels.apply_presentation_lut

pydicom.pixels.apply_presentation_lut(arr: np.ndarray, ds: Dataset) → np.ndarray

  Apply a Presentation LUT to arr and return the P-values.

  Parameters:

    - arr (numpy.ndarray) – The `ndarray` to apply the presentation LUT operation to.

    - ds (dataset.Dataset) – A dataset containing Presentation LUT Module elements.

  Returns:

    If a Presentation LUT Module is present in ds then returns an array of P-values, otherwise returns arr unchanged.

  Return type:

    numpy.ndarray

  Notes

  If the dataset the Pixel Data originated from contains a Modality LUT and/or VOI LUT then they must be applied before the Presentation LUT.

  See also

  `apply_modality_lut()`, `apply_voi_lut()`